require ("transport-belt-pictures")

data:extend({ -- Transport Belts
{
	type = "transport-belt",
	name = "brisk-transport-belt",
	icon = "__MoreBelts__/graphics/icons/brisk-belt.png",
	flags = {"placeable-neutral", "player-creation"},
	minable = {hardness = 0.2, mining_time = 0.2, result = "brisk-transport-belt"},
	max_health = 150,
	corpse = "small-remnants",
	collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
	selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	working_sound =
	{
		sound =
		{
			filename = "__base__/sound/transport-belt.ogg",
			volume = 0.4
		},
		max_sounds_per_type = 3
	},
	animation_speed_coefficient = 32,
	animations =
	{
		filename = "__MoreBelts__/graphics/entity/brisk-transport/transport-belt.png",
		priority = "extra-high",
		width = 40,
		height = 40,
		frame_count = 32,
		direction_count = 12,
		hr_version =
		{
			filename = "__MoreBelts__/graphics/entity/brisk-transport/hr-transport-belt.png",
			priority = "extra-high",
			width = 80,
			height = 80,
			frame_count = 32,
			line_length = 16,
			direction_count = 12,
			scale = 0.5
		}
	},
	fast_replaceable_group = "transport-belt",
	speed = 0.04855,
	-- specified in transport-belt-pictures.lua
	belt_horizontal = brisk_belt_horizontal, 
	belt_vertical = brisk_belt_vertical,
	ending_top = brisk_belt_ending_top,
	ending_bottom = brisk_belt_ending_bottom,
	ending_side = brisk_belt_ending_side,
	starting_top = brisk_belt_starting_top,
	starting_bottom = brisk_belt_starting_bottom,
	starting_side = brisk_belt_starting_side,
	ending_patch = ending_patch_prototype,
	ending_patch = ending_patch_prototype,
	connector_frame_sprites = transport_belt_connector_frame_sprites,
	circuit_connector_sprites = transport_belt_circuit_connector_sprites,
	circuit_wire_connection_point = transport_belt_circuit_wire_connection_point,
	circuit_wire_max_distance = transport_belt_circuit_wire_max_distance
},

-- Underground Belts
{
	type = "underground-belt",
	name = "brisk-underground-belt",
	icon = "__MoreBelts__/graphics/icons/brisk-underground.png",
	flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
	minable = {hardness = 0.2, mining_time = 0.5, result = "brisk-underground-belt"},
	max_health = 150,
	max_distance = 10,
	corpse = "small-remnants",
	underground_sprite =
	{
		filename = "__core__/graphics/arrows/underground-lines.png",
		priority = "high",
		width = 64,
		height = 64,
		x = 64,
		scale = 0.5
	},
	collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
	selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	animation_speed_coefficient = 32,
	belt_horizontal = brisk_belt_horizontal, -- specified in transport-belt-pictures.lua
	belt_vertical = brisk_belt_vertical,
	ending_top = brisk_belt_ending_top,
	ending_bottom = brisk_belt_ending_bottom,
	ending_side = brisk_belt_ending_side,
	starting_top = brisk_belt_starting_top,
	starting_bottom = brisk_belt_starting_bottom,
	starting_side = brisk_belt_starting_side,
	fast_replaceable_group = "underground-belt",
	speed = 0.04855,
	structure =
	{
		direction_in =
		{
			sheet =
			{
				filename = "__MoreBelts__/graphics/entity/brisk-transport/underground-belt-structure.png",
				priority = "extra-high",
				shift = {0.26, 0},
				width = 57,
				height = 43,
				y = 43
			}
		},
		direction_out =
		{
			sheet =
			{
				filename = "__MoreBelts__/graphics/entity/brisk-transport/underground-belt-structure.png",
				priority = "extra-high",
				shift = {0.26, 0},
				width = 57,
				height = 43
			}
		}
	},
	ending_patch = ending_patch_prototype
},

-- Splitters
{
    type = "splitter",
    name = "brisk-splitter",
    icon = "__MoreBelts__/graphics/icons/brisk-splitter.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "brisk-splitter"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{-0.9, -0.1}, {0.9, 0.1}},
    selection_box = {{-0.9, -0.5}, {0.9, 0.5}},
    animation_speed_coefficient = 32,
    structure_animation_speed_coefficient = 1.2,
    structure_animation_movement_cooldown = 10,
    belt_horizontal = brisk_belt_horizontal, -- specified in transport-belt-pictures.lua
    belt_vertical = brisk_belt_vertical,
    ending_top = brisk_belt_ending_top,
    ending_bottom = brisk_belt_ending_bottom,
    ending_side = brisk_belt_ending_side,
    starting_top = brisk_belt_starting_top,
    starting_bottom = brisk_belt_starting_bottom,
    starting_side = brisk_belt_starting_side,
    ending_patch = ending_patch_prototype,
    fast_replaceable_group = "splitter",
	speed = 0.04855,
	structure =
    {
      north =
      {
        filename = "__MoreBelts__/graphics/entity/brisk-transport/splitter-north.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 83,
        height = 36,
        shift = {0.265625, 0},
        hr_version =
        {
          filename = "__MoreBelts__/graphics/entity/brisk-transport/hr-splitter-north.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 164,
          height = 70,
          shift = {0.25, 0.046875},
          scale = 0.5
        }
      },
      east =
      {
        filename = "__MoreBelts__/graphics/entity/brisk-transport/splitter-east.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 51,
        height = 80,
        shift = {0.109375, -0.03125},
        hr_version =
        {
          filename = "__MoreBelts__/graphics/entity/brisk-transport/hr-splitter-east.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 93,
          height = 157,
          shift = {0.148438, -0.179688},
          scale = 0.5
        }
      },
      south =
      {
        filename = "__MoreBelts__/graphics/entity/brisk-transport/splitter-south.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 85,
        height = 35,
        shift = {0.140625, -0.015625},
        hr_version =
        {
          filename = "__MoreBelts__/graphics/entity/brisk-transport/hr-splitter-south.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 168,
          height = 67,
          shift = {0.140625, 0.0234375},
          scale = 0.5
        }
      },
      west =
      {
        filename = "__MoreBelts__/graphics/entity/brisk-transport/splitter-west.png",
        frame_count = 32,
        line_length = 16,
        priority = "extra-high",
        width = 51,
        height = 78,
        shift = {0.296875, -0.03125},
        hr_version =
        {
          filename = "__MoreBelts__/graphics/entity/brisk-transport/hr-splitter-west.png",
          frame_count = 32,
          line_length = 8,
          priority = "extra-high",
          width = 94,
          height = 154,
          shift = {0.203125, -0.109375},
          scale = 0.5
        }
      }
    }
  }
})